跳转至

封禁类型注册与解除

封禁类型注册

在 Hive 服务器中注册封禁时要应用的类型。已注册类型会在封禁注册 API中作为封禁类型编号(block_type)参数使用。弹窗形式可在运营政策限制(type_status=O)和临时限制(type_status=N)中选择,韩语和英语为必填注册语言。请参考控制台指南认证 > 封禁 > 类型注册

Basics

说明
Request URL 正式环境: https://auth.qpyou.cn/game/block/type/set
沙盒环境: https://sandbox-auth.qpyou.cn/game/block/type/set
Method POST
HTTP Header Content-type: application/json
ISCRYPT: 0
Response Format JSON

Request

Parameter Type Required Description
appid String O 应用 ID
hive_certification_key String O Hive 认证密钥(在 App Center 签发) 详细信息
type_status String O 封禁弹窗形式
  • O: 运营政策限制
  • N: 临时限制
type_name String O 封禁类型名称(韩语)
最多可注册 200 bytes。
type_en_name String O 封禁类型名称(英语)
最多可注册 200 bytes。
reasons Array O 封禁原因列表(按语言的消息数组)
reasons[].language String O 语言代码
  • ko(韩语)
  • en(英语)
  • ja(日语)
  • zh-hans(简体中文)
  • zh-hant(繁体中文)
  • de(德语)
  • fr(法语)
  • ru(俄语)
  • es(西班牙语)
  • pt(葡萄牙语)
  • id(印尼语)
  • th(泰语)
  • vi(越南语)
  • it(意大利语)
  • tr(土耳其语)
  • ar(阿拉伯语)
reasons[].title String O (type_status=N), X (type_status=O) 封禁原因标题
type_status=N(临时限制)时必须传递,type_status=O(运营政策限制)时若传递会发生错误。
最多可注册 200 bytes。
reasons[].reason String O 封禁原因内容
运营政策限制(type_status=O)时最多可注册 200 bytes,临时限制(type_status=N)时最多可注册 400 bytes。

Response

Parameter Type Description
result_code Integer 结果代码
  • 0: 正常
  • 4000: 无效参数
  • 4002: 认证密钥不匹配
  • 4014: 封禁弹窗形式不匹配
  • 4015: 缺少封禁必填注册语言(韩语、英语)
  • 4016: 封禁类型数据超出 byte 限制
  • 6000: 无效 appid
result_msg String 结果消息
data Object 结果数据
data.block_type Integer 已注册的封禁类型编号

运营政策限制类型注册请求

注册运营政策限制类型时,请使用此请求。将 type_status 值设置为 O,并一并传递各语言的封禁原因内容。

curl -X POST https://auth.qpyou.cn/game/block/type/set \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "type_status": "O", "type_name": "불법 프로그램 이용", "type_en_name": "Usage of unauthorized programs", "reasons": [{"language": "ko", "reason": "불법 프로그램 이용"}, {"language": "en", "reason": "Use of Unauthorized Programs"}, {"language": "ja", "reason": "使用非法程序"}]}'

临时限制类型注册请求

注册临时限制类型时,请使用此请求。将 type_status 值设置为 N,并一并传递各语言的标题和原因内容。

curl -X POST https://auth.qpyou.cn/game/block/type/set \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "type_status": "N", "type_name": "임시 접속 제한(게임 데이터 수정)", "type_en_name": "Temporary access restriction (game data modified)", "reasons": [{"language": "ko", "title": "게임 이용에 불편을 드려 죄송합니다.", "reason": "현재 게임 데이터를 수정하는 중입니다. 빠른 조치를 위해 최선을 다하겠습니다."}, {"language": "en", "title": "We apologize for any inconvenience you may have experienced.", "reason": "We are currently modifying the game data. We will try our best to resolve the issue as soon as possible."}, {"language": "ja", "title": "ご利用中にご不便をおかけし、大変申し訳ございません。", "reason": "只今ゲームデータを修正しています。迅速な解決に向けて最善を尽くします。"}]}'

封禁类型注册响应确认

类型注册请求成功后,请通过响应数据中的 block_type 值确认已注册的封禁类型编号。

{
  "result_code": 0,
  "result_msg": "SUCCESS",
  "data": {
    "block_type": 88
  }
}

解除封禁类型

从 Hive 服务器中删除已注册的封禁类型。存在当前处于封禁中的用户数据的类型无法删除。

Basics

说明
Request URL 正式环境: https://auth.qpyou.cn/game/block/type/delete
沙盒环境: https://sandbox-auth.qpyou.cn/game/block/type/delete
Method POST
HTTP Header Content-type: application/json
ISCRYPT: 0
Response Format JSON

Request

Parameter Type Required Description
appid String O 应用 ID
hive_certification_key String O Hive 认证密钥(在 App Center 签发) 详细信息
block_type Integer O 封禁类型编号

Response

Parameter Type Description
result_code Integer 结果代码
  • 0: 正常
  • 4000: 无效参数
  • 4002: 认证密钥不匹配
  • 4011: 未注册类型
  • 4012: 存在已注册的封禁用户数据
  • 6000: 无效 appid
result_msg String 结果消息

Request examples

curl -X POST https://auth.qpyou.cn/game/block/type/delete \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common", "hive_certification_key": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "block_type": 88}'

Response example

{
  "result_code": 0,
  "result_msg": "SUCCESS"
}